//------------------------------------------------------------------------------
/**
 *	@file	interfacefwd.h
 *	@author	Paul Gregory
 *	@brief	Declare the interface pointers for various interface classes.
 *
 *	Last change by:		$Author:$
 *	Last change date:	$Date:$
 */
//------------------------------------------------------------------------------


#ifndef	___interfacefwd_Loaded___
#define	___interfacefwd_Loaded___

#ifndef Q_MOC_RUN
#include <boost/shared_ptr.hpp>
#endif

namespace Aqsis {

struct IqAttributes;
typedef std::shared_ptr<IqAttributes> IqAttributesPtr;
typedef std::shared_ptr<const IqAttributes> IqConstAttributesPtr;

struct IqSurface;
typedef std::shared_ptr<IqSurface> IqSurfacePtr;
typedef std::shared_ptr<const IqSurface> IqConstSurfacePtr;

struct IqTransform;
typedef std::shared_ptr<IqTransform> IqTransformPtr;
typedef std::shared_ptr<const IqTransform> IqConstTransformPtr;

struct IqLightsource;
typedef std::shared_ptr<IqLightsource> IqLightsourcePtr;
typedef std::shared_ptr<const IqLightsource> IqConstLightsourcePtr;

struct IqOptions;
typedef std::shared_ptr<IqOptions> IqOptionsPtr;
typedef std::shared_ptr<const IqOptions> IqConstOptionsPtr;

} // namespace Aqsis

#endif	//	___interfacefwd_Loaded___

